Get Emergency Contact
curl --request GET \
--url https://apigw.bienport.com/api/alarm/ecl/{subscriptionId} \
--header 'Authorization: <authorization>' \
--header 'OrganizationId: <organizationid>'import requests
url = "https://apigw.bienport.com/api/alarm/ecl/{subscriptionId}"
headers = {
"Authorization": "<authorization>",
"OrganizationId": "<organizationid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', OrganizationId: '<organizationid>'}
};
fetch('https://apigw.bienport.com/api/alarm/ecl/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1240645,
"zoneNo": 1,
"zoneName": "Ahmet Boyraz",
"alarmCode": "Turan Barlak",
"note": "Müdür",
"telefon1": "5326629166",
"telefon2": "5326629166",
"telefon3": "5326629166",
"telefon4": "5326629166",
"subscriptionId": 7239,
"isPerson": true,
"state": "pending"
}
]{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}This response has no body data.{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}Get Emergency Contact
GET
/
alarm
/
ecl
/
{subscriptionId}
Get Emergency Contact
Path Parameters
subscriptionId
Response
success
Zone id.
Example:
1240645
Zone no.
Example:
1
Zone name
Example:
"Ahmet Boyraz"
Alarm Code
Example:
"Turan Barlak"
note
Example:
"Müdür"
Example:
"5326629166"
Example:
"5326629166"
Example:
"5326629166"
Example:
"5326629166"
subscription id.
Example:
7239
Example:
true
Available options:
pending, existing Example:
"pending"
Was this page helpful?
⌘I